Ubuntu

linux: 2.6.35-30.59 -proposed tracker

Reported by Herton R. Krzesinski on 2011-08-30
24
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Undecided
Unassigned
Certification-testing
Undecided
Brendan Donegan
Prepare-package
Undecided
Herton R. Krzesinski
Prepare-package-lbm
Undecided
Canonical Kernel Team
Prepare-package-meta
Undecided
Canonical Kernel Team
Prepare-package-ports-meta
Undecided
Canonical Kernel Team
Promote-to-proposed
Undecided
Ubuntu Stable Release Updates Team
Promote-to-security
Undecided
Ubuntu Stable Release Updates Team
Promote-to-updates
Undecided
Ubuntu Stable Release Updates Team
Regression-testing
Undecided
C de-Avillez
Security-signoff
Undecided
Kees Cook
Verification-testing
Undecided
Canonical Kernel Team
linux (Ubuntu)
Medium
Unassigned
Maverick
Undecided
Unassigned

Bug Description

This bug is for tracking the 2.6.35-30.59 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-prepare-start:Tuesday, 30. August 2011 15:01 UTC
kernel-stable-Prepare-package-start:Tuesday, 30. August 2011 15:01 UTC
kernel-stable-prepare-end:Wednesday, 31. August 2011 12:21 UTC
kernel-stable-copy-to-proposed-start:Wednesday, 31. August 2011 12:21 UTC
kernel-stable-Promote-to-proposed-end:Thursday, 01. September 2011 10:46 UTC
kernel-stable-Verification-testing-start:Thursday, 01. September 2011 10:46 UTC
kernel-stable-Verification-testing-end:Thursday, 01. September 2011 13:16 UTC
kernel-stable-Certification-testing-start:Thursday, 01. September 2011 13:16 UTC
kernel-stable-Security-signoff-start:Thursday, 01. September 2011 13:16 UTC
kernel-stable-Regression-testing-start:Thursday, 01. September 2011 13:16 UTC
kernel-stable-Security-signoff-end:Thursday, 01. September 2011 15:46 UTC
kernel-stable-Prepare-package-end:Wednesday, 31. August 2011 12:21 UTC
kernel-stable-Promote-to-proposed-start:Wednesday, 31. August 2011 12:21 UTC
kernel-stable-Certification-testing-end:Friday, 09. September 2011 02:45 UTC
kernel-stable-Promote-to-updates-start:Friday, 09. September 2011 22:30 UTC
kernel-stable-Regression-testing-end:Friday, 09. September 2011 22:30 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Tuesday, 13. September 2011 13:30 UTC
kernel-stable-Promote-to-updates-end:Tuesday, 13. September 2011 13:30 UTC

tags: added: kernel-release-tracking-bug
Changed in linux (Ubuntu):
status: New → In Progress
importance: Undecided → Medium
tags: added: maverick
Changed in kernel-sru-workflow:
status: New → In Progress
Steve Conklin (sconklin) on 2011-08-30
description: updated

All builds are complete, packages in this bug can be copied to -proposed.

Derivative packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-ti-omap4 - bug 838037
linux-mvl-dove - bug 838041

Backport packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-lts-backport-maverick (lucid) - bug 838043

description: updated
Martin Pitt (pitti) on 2011-09-01
Changed in linux (Ubuntu):
status: In Progress → Invalid
description: updated
Herton R. Krzesinski (herton) wrote :

Verification done for Maverick. Two unverified bugs (509180, 583760) had its patches reverted in this upload. Everything else is ok or verified.

description: updated
Kees Cook (kees) wrote :

Looks good, thanks!

description: updated
Steve Conklin (sconklin) on 2011-09-01
description: updated

Hardware Certification has begun testing this proposed kernel.

Hardware Certification has completed testing on 110/114 systems. Report available:

http://people.canonical.com/~hwcert/sru-testing/wk36_2011/maverick-proposed.html

No regressions were detected and the 4 systems that didn't submit results have known hardware/lab issues which are not due to the SRU.

tags: added: certification-testing-passed
description: updated
C de-Avillez (hggdh2) wrote :

No regressions noticed. Tagging qa-testing-passed.

tags: added: qa-testing-passed
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 2.6.35-30.59

---------------
linux (2.6.35-30.59) maverick-proposed; urgency=low

  [Herton R. Krzesinski]

  * Release Tracking Bug
    - LP: #837449

  [ Upstream Kernel Changes ]

  * Revert "drm/nv50-nvc0: work around an evo channel hang that some people
    see"
  * Revert "eCryptfs: Handle failed metadata read in lookup"

linux (2.6.35-30.58) maverick-proposed; urgency=low

  [Herton R. Krzesinski]

  * Release Tracking Bug
    - LP: #828376

  [ Upstream Kernel Changes ]

  * proc: fix oops on invalid /proc/<pid>/maps access, CVE-2011-1020
    - LP: #813026
    - CVE-2011-1020

linux (2.6.35-30.57) maverick-proposed; urgency=low

  [Herton R. Krzesinski]

  * Release Tracking Bug
    - LP: #823306

  [ Tim Gardner ]

  * SAUCE: rtl8192se: Force a build for a 2.6/3.0 kernel
    - LP: #805494
  * [Config] Add enic/fnic to udebs
    - LP: #801610

  [ Upstream Kernel Changes ]

  * taskstats: don't allow duplicate entries in listener mode,
    CVE-2011-2484
    - LP: #806390
    - CVE-2011-2484
  * dccp: handle invalid feature options length, CVE-2011-1770
    - LP: #806375
    - CVE-2011-1770
  * eCryptfs: Handle failed metadata read in lookup
    - LP: #509180
  * pagemap: close races with suid execve, CVE-2011-1020
    - LP: #813026
    - CVE-2011-1020
  * report errors in /proc/*/*map* sanely, CVE-2011-1020
    - LP: #813026
    - CVE-2011-1020
  * close race in /proc/*/environ, CVE-2011-1020
    - LP: #813026
    - CVE-2011-1020
  * auxv: require the target to be tracable (or yourself), CVE-2011-1020
    - LP: #813026
    - CVE-2011-1020
  * deal with races in /proc/*/{syscall, stack, personality}, CVE-2011-1020
    - LP: #813026
    - CVE-2011-1020
  * rose: Add length checks to CALL_REQUEST parsing, CVE-2011-1493
    - LP: #816550
    - CVE-2011-1493
  * Bluetooth: l2cap and rfcomm: fix 1 byte infoleak to userspace.
    - LP: #819569
    - CVE-2011-2492
  * drm/nv50-nvc0: work around an evo channel hang that some people see
    - LP: #583760
 -- Herton Ronaldo Krzesinski <email address hidden> Tue, 30 Aug 2011 12:11:13 -0300

Changed in linux (Ubuntu Maverick):
status: New → Fix Released
Martin Pitt (pitti) wrote :

Promoted to -updates/-security

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers